org.apache.ignite.cache.query

## Class TextQuery

- java.lang.Object
- - org.apache.ignite.cache.query.Query<TextQuery>
  - - org.apache.ignite.cache.query.TextQuery

All Implemented Interfaces:
  Serializable

    public final class TextQuery
    extends Query<TextQuery>

Query for Lucene based fulltext search.

See Also:
  `IgniteCache.query(Query)`, `IgniteCache.localQuery(Query)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TextQuery(Class<?> type, String txt)` Constructs query for the given search string.
`TextQuery(String txt)` Constructs query for the given search string.

### Method Summary

Methods
`String` `getText()` Gets text search string.
`String` `getType()` Gets type for query.
`TextQuery` `setText(String txt)` Sets text search string.
`TextQuery` `setType(Class<?> type)` Sets type for query.
`TextQuery` `setType(String type)` Sets type for query.
`String` `toString()`

### Methods inherited from class org.apache.ignite.cache.query.Query

`continuous, getPageSize, scan, setPageSize, spi, sql, sql, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TextQuery

    public TextQuery(String txt)

Constructs query for the given search string.

Parameters:
  `txt` - Search string.

#### TextQuery

    public TextQuery(Class<?> type,
             String txt)

Constructs query for the given search string.

Parameters:
  `type` - Type.
  `txt` - Search string.

### Method Detail

#### getType

    public String getType()

Gets type for query.

Returns:
  Type.

#### setType

    public TextQuery setType(Class<?> type)

Sets type for query.

Parameters:
  `type` - Type.
Returns:
  `this` For chaining.

#### setType

    public TextQuery setType(String type)

Sets type for query.

Parameters:
  `type` - Type.
Returns:
  `this` For chaining.

#### getText

    public String getText()

Gets text search string.

Returns:
  Text search string.

#### setText

    public TextQuery setText(String txt)

Sets text search string.

Parameters:
  `txt` - Text search string.
Returns:
  `this` For chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Query<TextQuery>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015